Bug 973490 - [PRD] EAP62_1070 [RFE] Support custom transports in mail subsystem
[PRD] EAP62_1070 [RFE] Support custom transports in mail subsystem
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: ---
Assigned To: Scott Mumford
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 23:44 EDT by Russell Dickenson
Modified: 2014-08-14 11:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 12:01:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Dickenson 2013-06-11 23:44:19 EDT
The mail subsystem in EAP 6 currently only allows configuration of specific transports (SMTP, POP3 and IMAP). The customer wants to be able to set up their own custom JavaMail transport via the domain configuration" ... see jira for more details.
--[jira] https://issues.jboss.org/browse/PRODMGT-171
Comment 2 Scott Mumford 2013-09-11 23:43:39 EDT
Emailed jlivings (contributor to linked JIRA) regarding possible sources for documentation content.
Comment 3 James Livingston 2013-10-15 02:04:45 EDT
JavaMail supports multiple "transports" such as SMTP. In earlier version
of JBoss you could configure arbitrary transports for the entries bound
into JNDI.

In EAP 6 profiles you can only configure smtp, pop and imap. That jira
is for adding the ability to be able to configure additional transports
(such as custom ones) as well.
Comment 4 Scott Mumford 2013-10-27 20:02:09 EDT
Topic 24332 has been created using information supplied by Tomaz Cerar.
Comment 5 Scott Mumford 2013-10-27 20:49:08 EDT
Topic 24332 has been added to the 6.2 Administration and Configuration Guide.

This bug will be moved to ON_QA once the document is available for review.
Comment 6 Scott Mumford 2013-10-28 00:54:01 EDT
The content is now available for review at [1] under the title: Mail subsystem

Please ensure you are viewing version 2.0-8 or later (check the Revision History).

1: http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6.2/html-single/Administration_and_Configuration_Guide/index.html
Comment 7 Jakub Cechacek 2013-10-29 08:47:42 EDT
The topic is present on URL mentioned above. 

However I miss the description of how properties are defined for custom protocols, as there is a difference between using "fully qualified" property a using a "flat" name. The later will be available under the name "mail.$ServerName.someprop".
Comment 8 Scott Mumford 2013-10-29 16:26:45 EDT
Thanks Jakub,

Requesting information on how to fulfil this concern from Tomaz Cerar (who provided the original information).
Comment 9 Tomaz Cerar 2013-11-04 06:19:14 EST
Jakub & Scott, this is very good question.

By default if you don't use fully qualified name for property as in just "host" or "custom_prop" that property gets translated to mail.<server-name>.property_name

For 6.2 we implemented RFE https://bugzilla.redhat.com/show_bug.cgi?id=968200 that allows you also to use any fully qualified property name unmodified.

Rule is quite simple if property name contains "." we threat it as fully qualified name.

For example this "mail.imap.timeout" would pass trough completely as is.
Comment 10 Scott Mumford 2013-11-04 19:55:48 EST
Thanks for the feedback Tomaz,

I've added the following text to step 5 in the procedure (wherein the user is instructed to "provide the host information as part of properties"):

[quote]
When defining custom protocols, any property name that contains a dot (.) is
considered to be a fully-qualified name and passed as it is supplied. Any other
format (my-property, for example) will be translated into the following format: mail.server-name.my-property.
[/quote]

I'll admit I'm a little fuzzy on the technicalities being discussed here, so I hope this fulfills the QA request.
Comment 11 Jakub Cechacek 2013-11-05 10:44:25 EST
Verified 6.2.0.ER7

Note You need to log in before you can comment on or make changes to this bug.